## EvSidebar EvSidebar |

## Synopsis

                        EvSidebarPrivate;
                        EvSidebar;
    GtkWidget*          ev_sidebar_new                      (void);
    void                ev_sidebar_add_page                 (EvSidebar *ev_sidebar,
                                                             GtkWidget *main_widget);
    void                ev_sidebar_set_page                 (EvSidebar *ev_sidebar,
                                                             GtkWidget *main_widget);
    void                ev_sidebar_set_document             (EvSidebar *ev_sidebar,
                                                             EvDocument *document);

## Description

## Details

### EvSidebarPrivate

    typedef struct _EvSidebarPrivate EvSidebarPrivate;

### EvSidebar

    typedef struct {
    	GtkVBox base_instance;

    	EvSidebarPrivate *priv;
    } EvSidebar;

### ev_sidebar_new ()

    GtkWidget*          ev_sidebar_new                      (void);

Returns : |

### ev_sidebar_add_page ()

    void                ev_sidebar_add_page                 (EvSidebar *ev_sidebar,
                                                             GtkWidget *main_widget);

`ev_sidebar` : |
`main_widget` : |

### ev_sidebar_set_page ()

    void                ev_sidebar_set_page                 (EvSidebar *ev_sidebar,
                                                             GtkWidget *main_widget);

`ev_sidebar` : |
`main_widget` : |

### ev_sidebar_set_document ()

    void                ev_sidebar_set_document             (EvSidebar *ev_sidebar,
                                                             EvDocument *document);

`ev_sidebar` : |
`document` : |